JavaVersion (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs.condition, class: JavaVersion

Package org.apache.tools.ant.taskdefs.condition

# Class JavaVersion

java.lang.Object
org.apache.tools.ant.taskdefs.condition.JavaVersion

All Implemented Interfaces:
  `Condition`

public class JavaVersion extends Object implements Condition
An Java version condition.

Since:
  Ant 1.10.2

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JavaVersion()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `eval()`
  Evaluate the condition.
  `String`
  `getAtLeast()`
  Get the atleast attribute.
  `String`
  `getAtMost()`
  Get the atmost attribute.
  `String`
  `getExactly()`
  Get the exactly attribute.
  `void`
  `setAtLeast​(String atLeast)`
  Set the atleast attribute.
  `void`
  `setAtMost​(String atMost)`
  Set the atmost attribute.
  `void`
  `setExactly​(String exactly)`
  Set the exactly attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JavaVersion

    public JavaVersion()

- ## Method Details

  - ### eval

    public boolean eval() throws BuildException
    Evaluate the condition.
    Specified by:
      `eval` in interface `Condition`
    Returns:
      true if the condition is true.
    Throws:
      `BuildException` - if an error occurs.

  - ### getAtLeast

    public String getAtLeast()
    Get the atleast attribute.
    Returns:
      the atleast attribute.

  - ### setAtLeast

    public void setAtLeast​(String atLeast)
    Set the atleast attribute. This is of the form major.minor.point. For example 1.7.0.
    Parameters:
      `atLeast` - the version to set

  - ### getAtMost

    public String getAtMost()
    Get the atmost attribute.
    Returns:
      the atmost attribute.
    Since:
      Ant 1.10.10

  - ### setAtMost

    public void setAtMost​(String atMost)
    Set the atmost attribute. This is of the form major.minor.point. For example 11.0.2
    Parameters:
      `atMost` - the version to set
    Since:
      Ant 1.10.10

  - ### getExactly

    public String getExactly()
    Get the exactly attribute.
    Returns:
      the exactly attribute.

  - ### setExactly

    public void setExactly​(String exactly)
    Set the exactly attribute. This is of the form major.minor.point. For example 1.7.0.
    Parameters:
      `exactly` - the version to check against.